---
category: ru
type: paper
hastr: true
layout: paper
tags: awesome-widgets, pytextmonitor
title: Awesome Widgets - свистелки и перделки
short: aw-v21-bells-and-whistles
---
Данная статья посвящена обсуждению настройки своих скриптов и графических баров
в новой версии Awesome Widgets (2.1).

<!--more-->

## <a href="#intro" class="anchor" id="intro"><span class="octicon octicon-link"></span></a>Введение

Для начала, я настоятельно рекомендую для после обновления **не открывая настроек
виджета** скопировать в безопасное место файл `$HOME/.kde4/share/config/extsysmon.conf`,
так как старые настройки кастомных скриптов теперь несовместимы. Вообще, следует
заметить, что все фичи можно настраивать и из графического интерфейса, однако я
опишу, как это делается простым редактированием desktop файлов.

## <a href="#general" class="anchor" id="general"><span class="octicon octicon-link"></span></a>Общее

Все элементы хранятся в двух директориях: `/usr/share/awesomewidgets/%TYPE%/` и
`$HOME/.local/share/awesomewidgets/%TYPE%/` (пути могут немного отличаться в
зависимости от используемого дистрибутива). Настройки в домашней директории
перезаписывают глобальные настройки. Общие настройки для любого расширения
следующие:

| Поле | Обязательное | Значение | По-умолчанию |
|------|--------------|----------|--------------|
| Name | да | имя | none |
| Comment | нет | комментарий | empty |
| X-AW-Active | нет | активно или нет данное расширение, игнорируется барами | true |
| X-AW-ApiVersion | да | совместимость API. Не меняйте, если не знаете, что делаете | 0 |
| X-AW-Interval | да | интервал запуска расширения в стандартных интервалах обновления виджета, игнорируется барами | 1 |
| X-AW-Number | да | уникальный номер, который будет ассоциирован с данным расширением | случайное число меньше 1000 |
| X-AW-Schedule | нет | cron-like расписание обновлений. Доступные поля `minutes hours days month weekdays`, доступные дополнительные символы `-`, `*`, `,` | (пусто) |
| X-AW-Socket | нет | путь к сокет-файлу. Значения будут обновлены в том случае, если сокет активирован | (пусто) |

## <a href="#bars" class="anchor" id="bars"><span class="octicon octicon-link"></span></a>Бары

Директория называется `desktops`, файлы настроек имеют следующие поля:

| Поле | Обязательное | Значение | По-умолчанию |
|------|--------------|----------|--------------|
| X-AW-Custom | да | содержит ли значение произвольную формулу или нет | false |
| X-AW-Value | да | значение бара. Доступны теги `cpu*`, `gpu`, `mem`, `swap`, `hdd*`, `bat`. В случае `X-AW-Custom=true` использует синтаксис аналогичный []лямбда функциям](/ru/projects/awesome-widgets/#lambda) | cpu |
| X-AW-Max | нет | максимально возможное значение | 100.0 |
| X-AW-Min | нет | минимально возможное значение | 0.0 |
| X-AW-Count | нет | число точек, используется при `X-AW-Type=Graph` | 100 |
| X-AW-ActiveColor | да | заполнение активной части в формате `R,G,B,A` или полный путь к изображению | 0,0,0,130 |
| X-AW-InactiveColor | да | заполнение неактивной части в формате `R,G,B,A` или полный путь к изображению | 255,255,255,130 |
| X-AW-Type | да | тип бара. Поддерживаемые типы `Horizontal`, `Vertical`, `Circle`, `Graph` | Horizontal |
| X-AW-Direction | да | направление заполнения. Доступны варианты `LeftToRight`, `RightToLeft` | LeftToRight |
| X-AW-Height | да | высота в пикселях | 100 |
| X-AW-Width | да | ширина в пикселях | 100 |

## <a href="#quotes" class="anchor" id="quotes"><span class="octicon octicon-link"></span></a>Котировки

Для получения данных используется API [Yahoo! Finance](//finance.yahoo.com "Сайт
Yahoo! Finance"). Директория называется `quotes`, файлы настроек имеют следующие поля:

| Поле | Обязательное | Значение | По-умолчанию |
|------|--------------|----------|--------------|
| X-AW-Ticker | да | тикер из системы Yahoo! Finance | EURUSD=X |

## <a href="#quotes" class="anchor" id="quotes"><span class="octicon octicon-link"></span></a>Запросы

GET запрос к внешнему ресурсу. Директория называется `requests`, файлы настроек
имеют следующие поля:

| Поле | Обязательное | Значение | По-умолчанию |
|------|--------------|----------|--------------|
| X-AW-Url | да | url для GET запроса | https://httpbin.org/get |

## <a href="#scripts" class="anchor" id="scripts"><span class="octicon octicon-link"></span></a>Скрипты

Директория называется `scripts`, файлы настроек имеют следующие поля:

| Поле | Обязательное | Значение | По-умолчанию |
|------|--------------|----------|--------------|
| Exec | да | путь к исполняемому файлу | /usr/bin/true |
| X-AW-Prefix | нет | префикс к исполняемому файлу. Обычно не требуется, однако в отдельных случаях может потребоваться явно указать путь, например, к используемому интерпретатору |
| X-AW-Redirect | нет | перенаправление потоков сообщений. Доступны варианты `stderr2stdout`, `nothing`, `stdout2stderr`, `swap`. stderr доступен, если запустить в режиме отладки | nothing |
| X-AW-Filters | нет | фильтры из `awesomewidgets-extscripts-filters.json` разделенные запятой |

## <a href="#upgrade" class="anchor" id="upgrade"><span class="octicon octicon-link"></span></a>Обновления

Директория называется `upgrade`, файлы настроек имеют следующие поля:

| Поле | Обязательное | Значение | По-умолчанию |
|------|--------------|----------|--------------|
| Exec | да | путь к исполняемому файлу | /usr/bin/true |
| X-AW-Filter | нет | регулярное выражение, которое будет применено к выдаче команды. Если не пустое, параметр `X-AW-Null` будет проигнорирован |
| X-AW-Null | нет | число строк stdout, которые будут пропущены при подсчете | 0 |

## <a href="#weather" class="anchor" id="weather"><span class="octicon octicon-link"></span></a>Погода

Для показа погоды используются данные и API [Yahoo! Weather]
(//weather.yahoo.com/ "Сайт Yahoo! Weather"). Директория называется `weather`,
файлы настроек имеют следующие поля:

| Поле | Обязательное | Значение | По-умолчанию |
|------|--------------|----------|--------------|
| X-AW-City | да | город | London |
| X-AW-Country | да | двухбуквенное обозначения страны | uk |
| X-AW-Image | нет | использовать изображения в качестве иконки погоды или текст | uk |
| X-AW-Provider | да | провайдер погоды. Доступны `Yahoo`, `OWM` | OWM |
| X-AW-TS | да | на какое время прогноз (целое число). `0` - текущая погода, `1` - погода через 3 часа и т.д. | 0 |
